com.atid.lib.reader.event

## Interface IATEAReaderEventListener

-     public interface IATEAReaderEventListener

  ATEAReader Interface for passing events to an application when an event occurs in the instance.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onReaderActionChanged(ATEAReader reader, ResultCode code, ActionState action, java.lang.Object params)` Called when the operational state of the Device associated with the ATEAReader instance changes.
    `void` | `onReaderBatteryState(ATEAReader reader, int batteryState, java.lang.Object params)` Called to report the battery state of the Device attached to the ATEAReader instance before it occurs.
    `void` | `onReaderKeyChanged(ATEAReader reader, KeyType type, KeyState state, java.lang.Object params)` Called to report the key type and state of the Device attached to the ATEAReader instance before it occurs.
    `void` | `onReaderOperationModeChanged(ATEAReader reader, OperationMode mode, java.lang.Object params)` Invoked when the Operation Mode of the Device attached to the ATEAReader instance changes.
    `void` | `onReaderStateChanged(ATEAReader reader, ConnectState state, java.lang.Object params)` The ATransport instance associated with the ATEAReader instance is called when the connection state of the Device changes.
    `void` | `onReaderUsbChargerChanged(ATEAReader reader, UsbChargerType type, UsbChargerState state, java.lang.Object params)` Called to report the USB type and state of the Device attached to the ATEAReader instance before it occurs.

- - ### Method Detail

    - #### onReaderStateChanged

          void onReaderStateChanged(ATEAReader reader,
                                    ConnectState state,
                                    java.lang.Object params)

      The ATransport instance associated with the ATEAReader instance is called when the connection state of the Device changes.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `state` - A ConnectState enumeration indicating the connection status with the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderActionChanged

          void onReaderActionChanged(ATEAReader reader,
                                     ResultCode code,
                                     ActionState action,
                                     java.lang.Object params)

      Called when the operational state of the Device associated with the ATEAReader instance changes.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `code` - ResultCode enumeration type indicating the operation result of the Device.
        `action` - An ActionState enumeration indicating the device's operational state.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderOperationModeChanged

          void onReaderOperationModeChanged(ATEAReader reader,
                                            OperationMode mode,
                                            java.lang.Object params)

      Invoked when the Operation Mode of the Device attached to the ATEAReader instance changes.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `mode` - An OperationMode enum indicating the Device's Operation Mode.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderBatteryState

          void onReaderBatteryState(ATEAReader reader,
                                    int batteryState,
                                    java.lang.Object params)

      Called to report the battery state of the Device attached to the ATEAReader instance before it occurs.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `batteryState` - An integer representing the battery state of the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderKeyChanged

          void onReaderKeyChanged(ATEAReader reader,
                                  KeyType type,
                                  KeyState state,
                                  java.lang.Object params)

      Called to report the key type and state of the Device attached to the ATEAReader instance before it occurs. Only ATS100 is supported.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `type` - An KeyType enum indicating the Device's Trigger Event.
        `state` - An KeyState enum indicating the Device's Key Event.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderUsbChargerChanged

          void onReaderUsbChargerChanged(ATEAReader reader,
                                         UsbChargerType type,
                                         UsbChargerState state,
                                         java.lang.Object params)

      Called to report the USB type and state of the Device attached to the ATEAReader instance before it occurs. Only ATS100 is supported.
      Parameters:
        `reader` - The ATEAReader instance that fired the event.
        `state` - An UsbChargerState enum indicating the Device's USB Charger Event.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.